## org.hibernate.transaction
Class WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter.TransactionAdapter

    java.lang.Object
      org.hibernate.transaction.WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter.TransactionAdapter

All Implemented Interfaces:
  Transaction

Enclosing class:
  WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter

    public class WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter.TransactionAdapter

extends Object
implements Transaction

Method Summary
`void` `commit()`
`boolean` `delistResource(XAResource resource, int i)`
`boolean` `enlistResource(XAResource resource)`
`boolean` `equals(Object other)`
`int` `getStatus()`
`int` `hashCode()`
`void` `registerSynchronization(Synchronization synchronization)`
`void` `rollback()`
`void` `setRollbackOnly()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerSynchronization

    public void registerSynchronization(Synchronization synchronization)
                                 throws RollbackException,
                                        IllegalStateException,
                                        SystemException

  Specified by:
    `registerSynchronization` in interface `Transaction`
  Throws:
    `RollbackException`
    `IllegalStateException`
    `SystemException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### commit

    public void commit()
                throws UnsupportedOperationException

  Specified by:
    `commit` in interface `Transaction`
  Throws:
    `UnsupportedOperationException`

### delistResource

    public boolean delistResource(XAResource resource,
                                  int i)
                           throws UnsupportedOperationException

  Specified by:
    `delistResource` in interface `Transaction`
  Throws:
    `UnsupportedOperationException`

### enlistResource

    public boolean enlistResource(XAResource resource)
                           throws UnsupportedOperationException

  Specified by:
    `enlistResource` in interface `Transaction`
  Throws:
    `UnsupportedOperationException`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `Transaction`

### rollback

    public void rollback()
                  throws UnsupportedOperationException

  Specified by:
    `rollback` in interface `Transaction`
  Throws:
    `UnsupportedOperationException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws UnsupportedOperationException

  Specified by:
    `setRollbackOnly` in interface `Transaction`
  Throws:
    `UnsupportedOperationException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.